Skip to main content
POST
Stage a task attachment

Authorizations

Authorization
string
header
required

API key or session token (Bearer)

Path Parameters

projectId
string
required

Body

application/json
filename
string
required
contentType
string
required
size
number
required
surface
enum<string>
required
Available options:
description

Response

Presigned upload

key
string
required

Object key to send back to the finalize route.

uploadUrl
string
required

Presigned URL to PUT the image bytes to.

headers
object
required

Headers that must accompany the upload request, including Content-Type.